# Gambio GX - Internal Fork 

This repository serves as an internal Gambio GX fork that contains patches, fixes or extensions to the original 
repositories. Such fork repositories are being used with package managers such as npm or composer and have a 
pre-defined branching strategy in order to organize the changes being pulled from the original library. 

Each fork repository must have at least the following branches: 

- external_changes
- internal_changes
- master

More branches may be added if needed (further development of the package or bugfixing). Below follows a more detailed explanation of each branch and its purpose. 

## External Changes 

This branch holds all the changes that are being pulled from the external repository. It is the branch were updates taken from the original repository land and remain untouched. At this point no custom changes are introduced to the codebase. 

## Internal Changes 

This branch holds all the changes taken from the `external_changes` branch but furthermore contains all the changes made to it. This is were further development should take place although this branch is not referenced inside the `package.json` file of the shop. 

## Master 

Finally the master branch is referenced by the `package.json` file of the shop and must contain the final changes that will be used in production. 

## Exceptions 

If for any reason the shop requires two different versions of the same repository, the old one should reference a Git tag and the new one should continue referencing the master branch.